CREATE procedure [C6StagingPeriodico].[RP_ST_DettaglioOperazione] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettaglioOperazione',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_DettaglioOperazione  
 --drop table C6StagingPeriodico.RP_DettaglioOperazione  
 insert into C6StagingPeriodico.RP_DettaglioOperazione  
 select   
 chiaveProposta,codTipoOperazione,chiavePosizionePtf,chiavePosizionePro,chiaveContratto,ctv,ptfIniziale,quantitaNominale,ctvNonRappresentabile,investi,disinvesti,rischioCredito,rischioMercato,copertura,percOperazione,gestPO,relOperazione,opEseguita,posRiallocata,nomeProgettoProp,areaProp,isAttivoRC  
 from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioOperazione  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettaglioOperazione' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_DettaglioOperazione'  
  )  
end